iCAx开思工具箱

标题: 请教uf_modl_replace_features函数一个参数设置?(呼唤高手) [打印本页]

作者: my_dear2002    时间: 2008-10-26 16:12
标题: 请教uf_modl_replace_features函数一个参数设置?(呼唤高手)
parent_map这个结构体的两个参数如何设置呢?冰天雪地含泪跪谢了。


作者: my_dear2002    时间: 2008-10-27 14:16
题目已变请大家看看这个新的问题怎么解决


作者: jiangrs    时间: 2008-11-1 14:43
参考example就好!
UF_MODL_replace_features_t * replm_map=NULL;
    int                          n_replm_map, i;

    UF_PART_new(part_name, units, &part_tag);

    /*  Create a cone and a cylinder
    */
    UF_CALL(UF_MODL_create_cyl1(UF_NULLSIGN, origin, height, diam, direction, &cyl_tag));
    UF_CALL(UF_MODL_create_cone1(UF_NULLSIGN,origin, height, cone_dia, direction, &cone_tag));
   
    /*  Offset faces of the cylinder by 0.1"
    */
    UF_CALL(UF_MODL_create_list(&flist));
    UF_CALL(UF_MODL_put_list_item(flist,cyl_tag));
    UF_CALL(UF_MODL_create_feature_offset(offset, flist, &offset_tag));
    UF_CALL(UF_MODL_delete_list(&flist));

    /*  Get a list of entities that must be mapped. This will be all the faces of the
        cylinder that are being used by the offset feature
    */
    UF_CALL(UF_MODL_replace_features(&cyl_tag, 1,
                                     &cone_tag, 1,
                                     true,
                                     false,
                                     &replm_map,
                                     &n_replm_map ));
作者: my_dear2002    时间: 2008-11-2 18:55
这个例子是有问题的,你单步调试了吗?




欢迎光临 iCAx开思工具箱 (https://t.icax.org/) Powered by Discuz! X3.3